Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008280 [DCSS] Patches minor have not tried 2014-03-15 15:49 2014-04-13 09:22
Reporter chris View Status public  
Assigned To wheals
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0008280: Unify MR from items and other sources, rescale artefact MR
Description With the new MR scale, steps of 40 are guaranteed to pretty much always
have an effect showing up on the % screen. Furthermore, rings already
gave 40 as opposed to 30 from armor ego and MR mutation and are now
unified, thus more comparable for players.

Another issue perceived as somewhat problematic was how MR from artefacts
had a weird inscription progress (MR, MR+, MR++) and the pluses did not
match aforementioned line on the resistances screen very well.

Thus, convert all sources to a scale of 40 MR steps.
{MR+} now indicates 40 MR across the board, {MR++} stands for 80, {MR+++} for 120 (only on Four Winds).

Easier to compare to other MR items, more clear in the interaction with
MR resistance line on %, gets rid of shops approximately leaking the
amount of MR, and also removes a special-cased inscription handling.
Almost all MR unrands had to be adjusted one way or the other. Several
of them had MR in the range 30-50 and were converted to {MR+} (40 MR).
Exceptions and other changes are listed below:

- Bear Spirit: buffed to 80 from 50
- Chilly/Flaming Death: buffed to 40 from 20
- Elemental Staff: buffed to 80 from 60
- robe of Folly: buffed to -80 from -100
- Four Winds: buffed to 120 from 100
- Jihad: loses its 20 MR
- ring of the Mage: buffed to 80 from 50
- Spriggan's Knife: buffed to 40 from 20

---

Hopefully I did not miss anything; the changes to monster MR from
jewelry and armor have not been tested very well however and I would
appreciate somebody looking over those. As I'm not very experienced
with save compat code either, "it worked for me" is probably something
you'll also want to double-check before accepting the patch.
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Rescale-MR.patch [^] (13,841 bytes) 2014-03-15 15:49 [Show Content]

- Relationships

-  Notes
(0025642)
chris (updater)
2014-03-18 03:39

I'd kind of like this stuff to go into 0.14 to avoid messing with MR in two consecutive versions (that doesn't help make it less confusing), but apparently there's not much interest or people aren't aware of the current problems?
(0025648)
dpeg (administrator)
2014-03-18 12:47
edited on: 2014-03-18 12:48

This one is good to have, and I see no reason not to use it for 0.14.
Thanks for design and patch!

(0025656)
wheals (administrator)
2014-03-18 23:39

Seems to work, and I agree with the usefulness of trying to fit similar changes into one release. Pushed.

- Issue History
Date Modified Username Field Change
2014-03-15 15:49 chris New Issue
2014-03-15 15:49 chris File Added: 0001-Rescale-MR.patch
2014-03-16 03:21 wheals Issue Monitored: wheals
2014-03-18 03:33 chris Issue Monitored: chris
2014-03-18 03:39 chris Note Added: 0025642
2014-03-18 12:47 dpeg Note Added: 0025648
2014-03-18 12:48 dpeg Note Edited: 0025648
2014-03-18 23:39 wheals Note Added: 0025656
2014-03-18 23:40 wheals Status new => resolved
2014-03-18 23:40 wheals Fixed in Branch => 0.14 development branch
2014-03-18 23:40 wheals Resolution open => done
2014-03-18 23:40 wheals Assigned To => wheals
2014-04-13 09:22 chris Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker